Package ru.bitel.bgbilling.modules.megafon.common.bean

# Class MegafonContractProduct

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdContractId
ru.bitel.bgbilling.modules.megafon.common.bean.MegafonContractProduct

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class MegafonContractProduct extends IdContractId
Привязка продукта мегафона к договору

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MegafonContractProduct()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAdditionalMsisdn()`
  `LocalDateTime`
  `getEndTime()`
  `String`
  `getIcc()`
  `String`
  `getImsi()`
  `LocalDateTime`
  `getLastUpdateTime()`
  `String`
  `getMnpOrderComment()`
  `String`
  `getMnpProcessNumber()`
  `String`
  `getMsisdn()`
  `long`
  `getOrderId()`
  `int`
  `getProductId()`
  `int`
  `getReserveId()`
  `int`
  `getServiceObjectId()`
  `LocalDateTime`
  `getStartTime()`
  `MegafonContractProductStatus`
  `getStatus()`
  `int`
  `getTariffId()`
  `int`
  `getUserId()`
  `MegafonContractProduct`
  `setAdditionalMsisdn(String additionalMsisdn)`
  `MegafonContractProduct`
  `setContractId(int contractId)`
  `MegafonContractProduct`
  `setEndTime(LocalDateTime endTime)`
  `MegafonContractProduct`
  `setIcc(String icc)`
  `MegafonContractProduct`
  `setId(int id)`
  Устанавливает id объекта
  `MegafonContractProduct`
  `setImsi(String imsi)`
  `MegafonContractProduct`
  `setLastUpdateTime(LocalDateTime lastUpdateTime)`
  `MegafonContractProduct`
  `setMnpOrderComment(String mnpOrderComment)`
  `MegafonContractProduct`
  `setMnpProcessNumber(String mnpProcessNumber)`
  `MegafonContractProduct`
  `setMsisdn(String msisdn)`
  `MegafonContractProduct`
  `setOrderId(long orderId)`
  `MegafonContractProduct`
  `setProductId(int productId)`
  `MegafonContractProduct`
  `setReserveId(int reserveId)`
  `MegafonContractProduct`
  `setServiceObjectId(int serviceObjectId)`
  `MegafonContractProduct`
  `setStartTime(LocalDateTime startTime)`
  `MegafonContractProduct`
  `setStatus(MegafonContractProductStatus status)`
  `MegafonContractProduct`
  `setTariffId(int tariffId)`
  `MegafonContractProduct`
  `setUserId(int userId)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.IdContractId

  `getContractId`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MegafonContractProduct

    public MegafonContractProduct()

- ## Method Details

  - ### getAdditionalMsisdn

    public String getAdditionalMsisdn()

  - ### getEndTime

    public LocalDateTime getEndTime()

  - ### getIcc

    public String getIcc()

  - ### getImsi

    public String getImsi()

  - ### getLastUpdateTime

    public LocalDateTime getLastUpdateTime()

  - ### getMnpOrderComment

    public String getMnpOrderComment()

  - ### getMnpProcessNumber

    public String getMnpProcessNumber()

  - ### getMsisdn

    public String getMsisdn()

  - ### getOrderId

    public long getOrderId()

  - ### getProductId

    public int getProductId()

  - ### getReserveId

    public int getReserveId()

  - ### getServiceObjectId

    public int getServiceObjectId()

  - ### getStartTime

    public LocalDateTime getStartTime()

  - ### getStatus

    public MegafonContractProductStatus getStatus()

  - ### getTariffId

    public int getTariffId()

  - ### getUserId

    public int getUserId()

  - ### setAdditionalMsisdn

    public MegafonContractProduct setAdditionalMsisdn(String additionalMsisdn)

  - ### setContractId

    public MegafonContractProduct setContractId(int contractId)
    Overrides:
      `setContractId` in class `IdContractId`

  - ### setEndTime

    public MegafonContractProduct setEndTime(LocalDateTime endTime)

  - ### setIcc

    public MegafonContractProduct setIcc(String icc)

  - ### setId

    public MegafonContractProduct setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`
    Parameters:
      `id` - id

  - ### setImsi

    public MegafonContractProduct setImsi(String imsi)

  - ### setLastUpdateTime

    public MegafonContractProduct setLastUpdateTime(LocalDateTime lastUpdateTime)

  - ### setMnpOrderComment

    public MegafonContractProduct setMnpOrderComment(String mnpOrderComment)

  - ### setMnpProcessNumber

    public MegafonContractProduct setMnpProcessNumber(String mnpProcessNumber)

  - ### setMsisdn

    public MegafonContractProduct setMsisdn(String msisdn)

  - ### setOrderId

    public MegafonContractProduct setOrderId(long orderId)

  - ### setProductId

    public MegafonContractProduct setProductId(int productId)

  - ### setReserveId

    public MegafonContractProduct setReserveId(int reserveId)

  - ### setServiceObjectId

    public MegafonContractProduct setServiceObjectId(int serviceObjectId)

  - ### setStartTime

    public MegafonContractProduct setStartTime(LocalDateTime startTime)

  - ### setStatus

    public MegafonContractProduct setStatus(MegafonContractProductStatus status)

  - ### setTariffId

    public MegafonContractProduct setTariffId(int tariffId)

  - ### setUserId

    public MegafonContractProduct setUserId(int userId)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Id`